petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMCompositeScatterArray

Scatters from a global packed vector into its individual local vectors

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeScatterArray(DM dm,Vec gvec,Vec *lvecs)

Collective on dm

### Input Parameters

| dm | - the packer object
| gvec | - the global vector
| lvecs | - array of local vectors, NULL for any that are not needed

### Note

This is a non-variadic alternative to DMCompositeScatter()

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector()
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries()

### Level

advanced

### Location

src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages